> ## Documentation Index
> Fetch the complete documentation index at: https://cantonfoundation-fix-875-html-entity-rendering.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# POST /v0/voterequest

> Look up several `VoteRequest`\ s at once by their contract IDs.



## OpenAPI

````yaml /openapi/splice/scan/scan.yaml post /v0/voterequest
openapi: 3.0.0
info:
  title: Scan API
  version: 0.0.1
servers:
  - url: https://scan.sv-1.global.canton.network.sync.global/api/scan
security: []
tags:
  - name: external
    description: >
      These endpoints are intended for public usage and will remain
      backward-compatible.
  - name: internal
    description: >
      For internal usage only, not guaranteed to be stable or
      backward-compatible.
  - name: deprecated
    description: |
      These endpoints are deprecated and will be removed in a future release.
  - name: scan
    description: |
      The internal and external endpoints.
  - name: pre-alpha
    description: |
      Still under active development, highly unstable. Do not use in production.
paths:
  /v0/voterequest:
    post:
      tags:
        - internal
        - scan
      summary: POST /v0/voterequest
      description: Look up several `VoteRequest`\ s at once by their contract IDs.
      operationId: listVoteRequestsByTrackingCid
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/BatchListVotesByVoteRequestsRequest'
      responses:
        '200':
          description: ok
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ListVoteRequestByTrackingCidResponse'
components:
  schemas:
    BatchListVotesByVoteRequestsRequest:
      type: object
      required:
        - vote_request_contract_ids
      properties:
        vote_request_contract_ids:
          description: Contract IDs of Daml template `Splice.DsoRules:VoteRequest`.
          type: array
          items:
            type: string
    ListVoteRequestByTrackingCidResponse:
      type: object
      required:
        - vote_requests
      properties:
        vote_requests:
          description: |
            Contracts of Daml template `Splice.DsoRules:VoteRequest` that match
            `vote_request_contract_ids` in the request.
          type: array
          items:
            $ref: '#/components/schemas/Contract'
    Contract:
      type: object
      properties:
        template_id:
          type: string
        contract_id:
          type: string
        payload:
          type: object
        created_event_blob:
          type: string
        created_at:
          type: string
      required:
        - template_id
        - contract_id
        - payload
        - created_event_blob
        - created_at

````